clang 10.0.0git

Public Member Functions | Public Attributes | List of all members
clang::index::SymbolRelation Struct Reference

Represents a relation to another symbol for a symbol occurrence. More...

`#include "clang/Index/IndexSymbol.h"`

Collaboration diagram for clang::index::SymbolRelation:
[legend]

## Public Member Functions
| SymbolRelation (SymbolRoleSet Roles, const Decl *Sym)

## Public Attributes
SymbolRoleSet | Roles
const Decl * | RelatedSymbol

## Detailed Description

Represents a relation to another symbol for a symbol occurrence.

Definition at line 130 of file IndexSymbol.h.

## Constructor & Destructor Documentation

## ◆ SymbolRelation()

clang::index::SymbolRelation::SymbolRelation | ( | SymbolRoleSet | Roles,
|  | const Decl * | Sym
| ) |  |
| inline

Definition at line 134 of file IndexSymbol.h.

## Member Data Documentation

## ◆ RelatedSymbol

const Decl* clang::index::SymbolRelation::RelatedSymbol

Definition at line 132 of file IndexSymbol.h.

Referenced by shouldReportOccurrenceForSystemDeclOnlyMode().

## ◆ Roles

SymbolRoleSet clang::index::SymbolRelation::Roles

Definition at line 131 of file IndexSymbol.h.

The documentation for this struct was generated from the following file:

- include/clang/Index/IndexSymbol.h